routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

include('api.php');

Route::get('/', function() {
    return redirect('/login');
});

Route::get('login', 'RoutesController@login')->middleware('logged:1')->name('login');
Route::get('register', 'RoutesController@register')->middleware('logged:1')->name('register');

Route::middleware('logged')->group(function() {
    Route::get('logout', 'RoutesController@logout')->name('logout');

    Route::prefix('panel')->namespace('Routes')->group(function() {
        Route::get('/users', 'PanelController@users')->name('panel.users')->middleware('role:admin');
    });
});

app/Models/User.php
<?php

namespace App\Models;

use App\Models\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\User\Role as UserRole;
use Cartalyst\Sentinel\Laravel\Facades\Sentinel;


class User extends Model
{
    use SoftDeletes;

    protected $fillable = ['first_name', 'last_name', 'email', 'country_id', 'city_id'];

    public function role() {
        return $this->hasOneThrough(Role::class, UserRole::class, 'user_id', 'id', 'id', 'role_id');
    }

    public function getFullnameAttribute() {
        return $this->first_name . ' ' . $this->last_name;
    }

    public function country() {
        return $this->belongsTo(Country::class)->selectRaw('id, name');
    }

    public function city() {
        return $this->belongsTo(City::class)->selectRaw('id, name');
    }

    public function login() {
        return Sentinel::login(Sentinel::findById($this->id));
    }

    public function logout() {
        Sentinel::logout();
        return true;
    }

    public function isAdmin() {
        return $this->role->slug == 'admin';
    }

    public function isClient() {
        return $this->getRole()->slug == 'client';
    }
}

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>{{ config('app.name') }} - @yield('title', 'Notitle')</title>

  <!-- Custom fonts for this template-->
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="/theme/css/sb-admin-2.min.css" rel="stylesheet">
  <link href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.min.css" rel="stylesheet">
  <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

  <!-- Bootstrap core JavaScript-->
  <script src="/theme/vendor/jquery/jquery.min.js"></script>
  <script src="/theme/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script src="http://bootstrap-notify.remabledesigns.com/js/bootstrap-notify.min.js"></script>

  <script src="/theme/js/app/env.js"></script>
  <script src="/theme/js/app/api.js"></script>
  <script src="/theme/js/app/helpers.js"></script>

  @stack('js')

</head>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

    <!-- Sidebar -->
    <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

      <!-- Sidebar - Brand -->
      <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{{ route('login') }}">
        <div class="sidebar-brand-icon rotate-n-15">
          <i class="fas fa-laugh-wink"></i>
        </div>
        <div class="sidebar-brand-text mx-3">{{ config('app.name') }}</div>
      </a>

      <!-- Divider -->
      <hr class="sidebar-divider my-0">

      <!-- Nav Item - Dashboard -->
      <li class="nav-item">
        <a class="nav-link" href="{{ route('panel.users') }}">
          <i class="fas fa-fw fa-tachometer-alt"></i>
          <span>{{ trans('menu.users') }}</span></a>
      </li>

    </ul>
    <!-- End of Sidebar -->

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">

        <!-- Topbar -->
        <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

          <!-- Sidebar Toggle (Topbar) -->
          <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
            <i class="fa fa-bars"></i>
          </button>

          <!-- Topbar Navbar -->
          <ul class="navbar-nav ml-auto">

            <!-- Nav Item - User Information -->
            <li class="nav-item dropdown no-arrow">
              <a class="nav-link dropdown-toggle" href="{{ route('logout') }}" id="userDropdown" role="button" aria-haspopup="true" aria-expanded="false">
                <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ user()->fullname }} ({{ trans('forms.logout') }})</span>
              </a>
            </li>

          </ul>

        </nav>
        <!-- End of Topbar -->

        <!-- Begin Page Content -->
        <div class="container-fluid">

          <!-- Page Heading -->
          <h1 class="h3 mb-4 text-gray-800">@yield('title', 'Notitle')</h1>
          @section('content')
          @show
        </div>
        <!-- /.container-fluid -->

      </div>
      <!-- End of Main Content -->

      <!-- Footer -->
      <footer class="sticky-footer bg-white">
        <div class="container my-auto">
          <div class="copyright text-center my-auto">
            <span>{{ config('app.name') }} &copy; {{ date('Y') }}</span>
          </div>
        </div>
      </footer>
      <!-- End of Footer -->

    </div>
    <!-- End of Content Wrapper -->

  </div>
  <!-- End of Page Wrapper -->

</body>

</html>

resources/views/layouts/login.blade.php
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>{{ config('app.name') }} - {{ trans('pages.authentication') }}</title>

  <!-- Custom fonts for this template-->
  <link href="/theme/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="/theme/css/sb-admin-2.min.css" rel="stylesheet">

</head>

<body class="bg-gradient-primary">

  <div class="container">

    <!-- Outer Row -->
    <div class="row justify-content-center">

      <div class="col-xl-10 col-lg-12 col-md-9">

        <div class="card o-hidden border-0 shadow-lg my-5">
          <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
              <div class="col-lg-6 d-none d-lg-block bg-login-image"></div>
              <div class="col-lg-6">
                <div class="p-5">
                  <div class="text-center">
                    <h1 class="h4 text-gray-900 mb-4">{{ trans('forms.authentication') }}</h1>
                  </div>
                  <form class="user">
                    <div class="form-group">
                      <input type="email" name="email" class="form-control form-control-user" aria-describedby="emailHelp" placeholder="{{ trans('forms.email') }}">
                    </div>
                    <div class="form-group">
                      <input type="password" name="password" class="form-control form-control-user" id="exampleInputPassword" placeholder="{{ trans('forms.password') }}">
                    </div>
                    <a href="#" class="btn btn-primary btn-user btn-block" name="login">{{ trans('forms.authentication') }}</a>
                  </form>
                  <hr>

                  <div class="text-center">
                    <a class="small" href="{{ route('register') }}">{{ trans('forms.registration') }}</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

      </div>

    </div>

  </div>

  <!-- Bootstrap core JavaScript-->
  <script src="/theme/vendor/jquery/jquery.min.js"></script>
  <script src="/theme/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

  <script src="/theme/js/app/env.js"></script>
  <script src="/theme/js/app/api.js"></script>
  <script src="/theme/js/app/helpers.js"></script>
  <script src="/theme/js/app/pages/login.js"></script>

</body>

</html>

resources/views/layouts/register.blade.php
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>{{ config('app.name') }} - {{ trans('pages.registration') }}</title>

  <!-- Custom fonts for this template-->
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="/theme/css/sb-admin-2.min.css" rel="stylesheet">

</head>

<body class="bg-gradient-primary">

  <div class="container">

    <div class="card o-hidden border-0 shadow-lg my-5">
      <div class="card-body p-0">
        <!-- Nested Row within Card Body -->
        <div class="row">
          <div class="col-lg-5 d-none d-lg-block bg-register-image"></div>
          <div class="col-lg-7">
            <div class="p-5">
              <div class="text-center">
                <h1 class="h4 text-gray-900 mb-4">{{ trans('forms.registration') }}</h1>
              </div>
              <form class="user">
                <div class="form-group row">
                  <div class="col-sm-6 mb-3 mb-sm-0">
                    <input type="text" name="first_name" class="form-control form-control-user" id="exampleFirstName" placeholder="{{ trans('forms.first_name') }}">
                  </div>
                  <div class="col-sm-6">
                    <input type="text" name="last_name" class="form-control form-control-user" id="exampleLastName" placeholder="{{ trans('forms.last_name') }}">
                  </div>
                </div>
                <div class="form-group">
                  <input type="email" name="email" class="form-control form-control-user" id="exampleInputEmail" placeholder="{{ trans('forms.email') }}">
                </div>
                <div class="form-group row">
                  <div class="col-sm-6 mb-3 mb-sm-0">
                    <input type="password" name="password" class="form-control form-control-user" id="exampleInputPassword" placeholder="{{ trans('forms.password') }}">
                  </div>
                  <div class="col-sm-6">
                    <input type="password" name="password_confirmation" class="form-control form-control-user" id="exampleRepeatPassword" placeholder="{{ trans('forms.password_confirmation') }}">
                  </div>
                </div>
                <a href="#" class="btn btn-primary btn-user btn-block" name="register">{{ trans('forms.registration') }}</a>
              </form>
              <hr>
              <div class="text-center">
                <a class="small" href="{{ route('login') }}">{{ trans('forms.authentication') }}</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>

  <!-- Bootstrap core JavaScript-->
  <script src="/theme/vendor/jquery/jquery.min.js"></script>
  <script src="/theme/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

  <script src="/theme/js/app/env.js"></script>
  <script src="/theme/js/app/api.js"></script>
  <script src="/theme/js/app/helpers.js"></script>
  <script src="/theme/js/app/pages/register.js"></script>

</body>

</html>